﻿<div class="page-content popupReplies">
    <div class="content-block">
        <div class="row">
            <h2>
                <span ng-click="GoBack()" class="close-popup">
                    <i class="ionicons ion-close-round"></i>
                </span>
                <span>الردود</span>
            </h2>
        </div>
        <div class="list-block" ng-if="!isUserVisitor">
            <form name="$parent.EventRepliesForm" ng-submit="submitReplyForm($parent.EventRepliesForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedEventReply && EventReplyReset && $parent.EventRepliesForm.replyText.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <textarea name="replyText" type="text" placeholder="اكتب ردك" ng-model="eventRepliesForm.replyText" required></textarea>
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedEventReply && EventReplyReset  && $parent.EventRepliesForm.replyText.$error.required" class="error-block">يجب إدخال الرد</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="submittedEventReply=true" class="button button-round purple">إضافة رد</button>
                </p>
            </form>
        </div>

        <ul class="chatui" ng-show="CommentContainsReplies">
            <li ng-repeat="reply in replies ">
                <div class="chatavatar">
                    <img data-ng-src="{{reply.photoUrl | generateURL}}" src="../img/square.svg" class="lazy" fallback-src="img/no-product.png" />
                </div>
                <div class="column-right chat">
                    <div class="chat-text">
                        <div class="commentowner">
                            {{reply.fullName}}
                        </div>
                        <p>{{reply.commentText}}</p>
                        <span class="chat-delete">
                            <a ng-click="DeleteReply(reply)" ng-show="reply.isReplyOwner">
                                <i class="ionicons ion-android-delete"></i> حذف
                            </a>
                        </span>
                    </div>
                    <div class="chat-time">{{reply.commentPeriod}}</div>
                </div>
            </li>
        </ul>
        <div class="divAlertDesc" ng-show="!CommentContainsReplies">
            <p class="pNotification">لا يوجد ردود .</p>
        </div>
    </div>
</div>